package net.cobem.grizzly.communication.events.rooms;

import net.cobem.grizzly.Grizzly;
import net.cobem.grizzly.communication.EventRequest;
import net.cobem.grizzly.communication.GameEvent;
import net.cobem.grizzly.habbohotel.rooms.Room;
import net.cobem.grizzly.habbohotel.rooms.items.FloorItem;
import net.cobem.grizzly.habbohotel.sessions.Session;

public class RollDiceEvent implements GameEvent {

    @Override
    public void compose(Session Session, EventRequest Request) {
        int ID = Request.readInt();

        Room mRoom = Session.getActor().CurrentRoom;

        FloorItem Item = mRoom.getFloors().get(ID);

        Grizzly.getHabboHotel().getInteractions().onTrigger("dice", Session, Item, 1);
    }

}
